require "rwiki/rss-recent"
require "rwiki/rss-topic"

RWiki::Version.regist("rw-rss", "2003-3-18")

module RWiki
	module RSS
		class Writer < PageFormat
			if const_defined?("DESCRIPTION")
				@@description = DESCRIPTION
			else
				@@description = @@title
			end
			private
			@rhtml = { :view => ERbLoader.new('view(pg)', 'recent1.0.rrdf') }
			reload_rhtml
		end

		def install()
			recent_section = Recent::Section.new(nil, /\Arss_recent\z/)
			RWiki::Book.section_list.push(recent_section)
			topic_section = Topic::Section.new(nil, /\Arss_topic\z/)
			RWiki::Book.section_list.push(topic_section)
		end
		module_function :install
	end

end

RWiki::BookConfig.default.format.module_eval(<<-EOC)
  @rhtml[:navi].instance_eval('@method_name = "_\#{@method_name}"')
	@rhtml[:_navi] = @rhtml[:navi]
	@rhtml[:navi] = RWiki::ERbLoader.new('navi(pg)', 'rss-navi.rhtml')

	reload_rhtml
EOC

RWiki::install_page_module('rss1.0', RWiki::RSS::Writer, 'RSS 1.0')
RWiki::install_page_module('rss_recent', RWiki::RSS::Recent::Page, 'RSS Recent')
RWiki::install_page_module('rss_topic', RWiki::RSS::Topic::Page, 'RSS Topic')

RWiki::RSS.install
